## Name

gfperf-copy — Gfarm measure file copy performance

## Synopsis

`gfperf-copy` -s, --src `source url` -d, --dst `destination url` [-l, --filesize `file size`] [-b, --busize `buffer size`] [-g, --gfsd `gfsd name`] [-m, --gfarm2fs `gfarm2fs mount point`]

## DESCRIPTION

This command measures file copy performance from source directory to destination directory. One of source and destination url must be gfarm url (that begins with gfarm:///). Other must be file url (that begins with file:///).

Test file is automatically created but source file is not removed. When this command is executed on same parameters, source file is reused again.

## OPTIONS

`-s, --src` `source url`

  Test file is created automatically in source url. If `source url` is gfarm url, `destination url` must be file url.

`-d, --dst` `destination url`

  Test file is copied to `destination url`. If `destinatiln url` is gfarm url, `source url` must be file url.

`-l, --filesize` `file size`

  File size to be created. The default is 1M. (1M=2^20)

`-b, --bufsize` `buffer size`

  Copy buffer size. The default is 4K. (1K=2^10)

`-g, --gfsd` `gfsd name`

  Target gfsd name. Test file is created or copied on this gfsd. If no gfsd is specified, gfmd determines automatically.

`-m, --gfarm2fs` `gfarm2fs mount point`

  Specify gfarm2fs mount point. This mount point path is added to gfarm url.